/**
 *  Created     :
 *  Copyright (c)  CMCC Technologies, All rights reserved.
 */

#include "SimpleRuntime.h"
// ------------------------------------
// GSXR_API_手柄模型类
// ------------------------------------
#include "app_api/gsxr_controller_model.h"
/**
*  说明：
*      获得手柄模型数据
*  参数：
*       [in] feature GSXR_XrFeature 句柄, 由 GSXR_StartXrFeature 获取
*      [out] controllerModel 指向 GSXR_ControllerModelData 指针
*  返回值：
*      GSXR_Result_Success
*      GSXR_Error_Operation_Failed
*      GSXR_Error_Feature_Unsupported
*      GSXR_Error_Handle_Invalid
*      GSXR_Error_Argument_Invalid
*      GSXR_Error_Out_Of_Memory
*      GSXR_Error_Runtime_Unavailable
*      GSXR_Error_Feature_Unavailable
*  备注：
*      controllerModel 指针指向的 GSXR_ControllerModelData 指针指向 Runtime 的 GSXR_ControllerModelData 结构,
*      应用程序用毕手柄模型数据必须调用 GSXR_ReleaseControllerModelData 释放内存
*  所属：
*      GSXR_API_手柄模型类
*/
GSXR_Result GSXR_AcquireControllerModelData(
        GSXR_XrFeature                  feature,
        GSXR_ControllerModelData**      controllerModel,
        uint32_t*                       controllerModelSize){
    return GSXR_Result::GSXR_Result_Success;
}
/**
 *  说明：
 *      释放手柄模型数据
 *  参数：
 *       [in] feature GSXR_XrFeature 句柄, 由 GSXR_StartXrFeature 获取
 *      [out] controllerModel GSXR_ControllerModelData 指针, 由 GSXR_AcquireControllerModelData 获取
 *  返回值：
 *      GSXR_Result_Success
 *      GSXR_Error_Operation_Failed
 *      GSXR_Error_Feature_Unsupported
 *      GSXR_Error_Handle_Invalid
 *      GSXR_Error_Argument_Invalid
 *      GSXR_Error_Call_Flow_Invalid
 *      GSXR_Error_Runtime_Unavailable
 *      GSXR_Error_Feature_Unavailable
 *  备注：
 *      无
 *  所属：
 *      GSXR_API_手柄模型类
 */
void GSXR_ReleaseControllerModelData(
        GSXR_XrFeature                  feature,
        GSXR_ControllerModelData*       controllerModel){
}