/**
 *  Created     :
 *  Copyright (c)  CMCC Technologies, All rights reserved.
 */

// ------------------------------------
// GSXR_API_平面追踪类
// ------------------------------------
#include "app_api/gsxr_plane_tracker.h"
/**
 *  说明：
 *      获得平面数据
 *  参数：
 *       [in] feature GSXR_XrFeature 句柄, 由 GSXR_StartXrFeature 获取
 *      [out] planeTracker 指向 GSXR_PlaneTrackerData 指针
 *  返回值：
 *      GSXR_Result_Success
 *      GSXR_Error_Operation_Failed
 *      GSXR_Error_Feature_Unsupported
 *      GSXR_Error_Handle_Invalid
 *      GSXR_Error_Argument_Invalid
 *      GSXR_Error_Out_Of_Memory
 *      GSXR_Error_Runtime_Unavailable
 *      GSXR_Error_Feature_Unavailable
 *  备注：
 *      planeTracker 指针指向的 GSXR_PlaneTrackerData 指针指向平面侦测特性的 GSXR_PlaneTrackerData 结构,
 *      应用程序用毕平面数据必须调用 GSXR_ReleasePlaneTrackerData 释放平面内存
 *  所属：
 *      GSXR_API_平面数据类
 */
GSXR_Result GSXR_AcquirePlaneTrackerData(
        GSXR_XrFeature              feature,
        GSXR_PlaneTrackerData**     planeTracker){
    return GSXR_Result::GSXR_Result_Success;
}
/**
 *  说明：
 *      释放平面数据
 *  参数：
 *       [in] feature GSXR_XrFeature 句柄, 由 GSXR_StartXrFeature 获取
 *      [out] planeTracker GSXR_PlaneTrackerData 指针, 由 GSXR_AcquirePlaneTrackerData 获取
 *  返回值：
 *      GSXR_Result_Success
 *      GSXR_Error_Operation_Failed
 *      GSXR_Error_Feature_Unsupported
 *      GSXR_Error_Handle_Invalid
 *      GSXR_Error_Argument_Invalid
 *      GSXR_Error_Call_Flow_Invalid
 *      GSXR_Error_Runtime_Unavailable
 *      GSXR_Error_Feature_Unavailable
 *  备注：
 *      无
 *  所属：
 *      GSXR_API_平面数据类
 */
GSXR_Result GSXR_ReleasePlaneTrackerData(
        GSXR_XrFeature              feature,
        GSXR_PlaneTrackerData*      planeTracker){
    return GSXR_Result::GSXR_Result_Success;
}