/**
 *  Created     :
 *  Copyright (c)  CMCC Technologies, All rights reserved.
 */

// ------------------------------------
// GSXR_API_点云数据类
// ------------------------------------
#include "app_api/gsxr_point_cloud.h"
/**
 *  说明：
 *      获得点云数据
 *  参数：
 *       [in] feature GSXR_XrFeature 句柄, 由 GSXR_StartXrFeature 获取
 *      [out] pointCloud 指向 GSXR_PointCloudData 指针
 *  返回值：
 *      GSXR_Result_Success
 *      GSXR_Error_Operation_Failed
 *      GSXR_Error_Feature_Unsupported
 *      GSXR_Error_Handle_Invalid
 *      GSXR_Error_Argument_Invalid
 *      GSXR_Error_Out_Of_Memory
 *      GSXR_Error_Runtime_Unavailable
 *      GSXR_Error_Feature_Unavailable
 *  备注：
 *      pointCloud 指针指向的 GSXR_PointCloudData 指针指向点云特性的 GSXR_PointCloudData 结构,
 *      应用程序用毕点云数据必须调用 GSXR_ReleasePointCloudData 释放点云内存
 *  所属：
 *      GSXR_API_点云数据类
 */
GSXR_Result GSXR_AcquirePointCloudData(
        GSXR_XrFeature          feature,
        GSXR_PointCloudData**   pointCloud){
    return GSXR_Result::GSXR_Error_Feature_Unsupported;
}
/**
 *  说明：
 *      释放点云数据
 *  参数：
 *       [in] feature GSXR_XrFeature 句柄, 由 GSXR_StartXrFeature 获取
 *      [out] pointCloud GSXR_PointCloudData 指针, 由 GSXR_AcquirePointCloudData 获取
 *  返回值：
 *      GSXR_Result_Success
 *      GSXR_Error_Operation_Failed
 *      GSXR_Error_Feature_Unsupported
 *      GSXR_Error_Handle_Invalid
 *      GSXR_Error_Argument_Invalid
 *      GSXR_Error_Call_Flow_Invalid
 *      GSXR_Error_Runtime_Unavailable
 *      GSXR_Error_Feature_Unavailable
 *  备注：
 *      无
 *  所属：
 *      GSXR_API_点云数据类
 */
GSXR_Result GSXR_ReleasePointCloudData(
        GSXR_XrFeature          feature,
        GSXR_PointCloudData*    pointCloud){
    return GSXR_Result::GSXR_Error_Feature_Unsupported;
}