/**
 *  Created     :
 *  Copyright (c)  CMCC Technologies, All rights reserved.
 */
#include "SimpleRuntime.h"
// ------------------------------------
// GSXR_API_系統性能类
// ------------------------------------
#include "app_api/gsxr_system.h"
/**
 *  说明：
 *      设置 CPU, GPU 性能等级
 *  参数：
 *       [in] runtime GSXR_Runtime 句柄, 由 GSXR_CreateRuntime 获取
 *       [in] cpuPerfLevel 设置 CPU 性能等级
 *       [in] gpuPerfLevel 设置 GPU 性能等级
 *  返回值：
 *      GSXR_Result_Success
 *      GSXR_Error_Operation_Failed
 *      GSXR_Error_Function_Unsupported
 *      GSXR_Error_Handle_Invalid
 *      GSXR_Error_Argument_Invalid
 *      GSXR_Error_Runtime_Unavailable
 *  备注：
 *      无
 *  所属：
 *      GSXR_API_系統性能类
 */
GSXR_Result GSXR_SetPerformanceLevels(
        GSXR_Runtime                runtime,
        GSXR_PerformanceLevel       cpuPerfLevel,
        GSXR_PerformanceLevel       gpuPerfLevel){
    return GSXR_Result::GSXR_Result_Success;
}
/**
 *  说明：
 *      系统设置
 *  参数：
 *       [in] runtime GSXR_Runtime 句柄, 由 GSXR_CreateRuntime 获取
 *       [in] settingType 设置系统功能类型
 *  返回值：
 *      GSXR_Result_Success
 *      GSXR_Error_Operation_Failed
 *      GSXR_Error_Function_Unsupported
 *      GSXR_Error_Handle_Invalid
 *      GSXR_Error_Argument_Invalid
 *      GSXR_Error_Runtime_Unavailable
 *  备注：
 *      无
 *  所属：
 *      GSXR_API_系统设置类
 */
GSXR_Result GSXR_SetSystemSetting(
        GSXR_Runtime                runtime,
        GSXR_XrSystemSettingType    settingType){
    return GSXR_Result::GSXR_Result_Success;
}