/**
 *  Created     :   2021-03-1
 *  Copyright (c)  CMCC Technologies, All rights reserved.
 */


#include "SimpleXrFeature.h"
#include "utils/simple_log.h"

using namespace SIMPLE_EXTEND;

SimpleXrFeature *SimpleXrFeature::GetXrFeature() {
    static SimpleXrFeature xrFeature;
    return &xrFeature;
}

SimpleXrFeature::SimpleXrFeature() {

}
SimpleXrFeature::~SimpleXrFeature() {

}

GSXR_Result
SimpleXrFeature::GetSupportedXrFeatures(GSXR_Flags64 *featureTypeFlags){
    *featureTypeFlags = 0;
    RT_LOGI("Get support xr features ok.");
    return GSXR_Result_Success;
}
GSXR_Result
SimpleXrFeature::IsXrFeatureAvailable(GSXR_XrFeatureType featureType,GSXR_Bool32 *available){
    return GSXR_Result::GSXR_Error_Feature_Unsupported;
}
GSXR_Result
SimpleXrFeature::GetXrFeatureOptions(GSXR_XrFeatureType featureType,GSXR_Flags64 *recommendedOptions,GSXR_Flags64 *supportedOptions){
    return GSXR_Result::GSXR_Error_Feature_Unsupported;
}
GSXR_Result
SimpleXrFeature::StartXrFeature(const GSXR_XrFeatureStartInfo *startInfo,GSXR_XrFeature *feature){
    return GSXR_Result::GSXR_Error_Feature_Unsupported;
}
GSXR_Result
SimpleXrFeature::StopXrFeature(GSXR_XrFeature feature){
    return GSXR_Result::GSXR_Error_Feature_Unsupported;
}
GSXR_Result
SimpleXrFeature::GetXrFeatureProperties(GSXR_XrFeature feature,GSXR_XrFeatureProperties *properties){
    return GSXR_Result::GSXR_Error_Feature_Unsupported;
}