/**
 *  Created     :   2021-03-1
 *  Copyright (c)  CMCC Technologies, All rights reserved.
 */


#ifndef GSXRRUNTIME_SIMPLEXRFEATURE_H
#define GSXRRUNTIME_SIMPLEXRFEATURE_H

#include "app_api/gsxr.h"

namespace SIMPLE_EXTEND{

    class SimpleXrFeature {
    public:
        GSXR_Result GetSupportedXrFeatures(GSXR_Flags64 *featureTypeFlags);
        GSXR_Result IsXrFeatureAvailable(GSXR_XrFeatureType featureType,GSXR_Bool32 *available);
        GSXR_Result GetXrFeatureOptions(GSXR_XrFeatureType featureType,GSXR_Flags64 *recommendedOptions,GSXR_Flags64 *supportedOptions);
        GSXR_Result StartXrFeature(const GSXR_XrFeatureStartInfo *startInfo,GSXR_XrFeature *feature);
        GSXR_Result StopXrFeature(GSXR_XrFeature feature);
        GSXR_Result GetXrFeatureProperties(GSXR_XrFeature feature,GSXR_XrFeatureProperties *properties);
    public:
        static SimpleXrFeature* GetXrFeature();
        virtual ~SimpleXrFeature();

    private:
        SimpleXrFeature();
    };
}



#endif //GSXRRUNTIME_SIMPLEXRFEATURE_H
