
/**
 *  Created     :   2021-03-1
 *  Copyright (c)  CMCC Technologies, All rights reserved.
 */

#ifndef GSXRRUNTIME_SIMPLE_LOG_H
#define GSXRRUNTIME_SIMPLE_LOG_H
#include <android/log.h>
#define DEBUG 1

#if DEBUG
#define RT_LOGI(format,...) __android_log_print(ANDROID_LOG_INFO,"simple-rt","[%s]" format,__FUNCTION__, \
##__VA_ARGS__)
#define RT_LOGD(format,...) __android_log_print(ANDROID_LOG_DEBUG,"simple-rt","[%s]" format,__FUNCTION__, \
##__VA_ARGS__)
#define RT_LOGW(format,...) __android_log_print(ANDROID_LOG_WARN,"simple-rt","[%s]" format,__FUNCTION__, \
##__VA_ARGS__)
#define RT_LOGE(format,...) __android_log_print(ANDROID_LOG_ERROR,"simple-rt","[%s]" format,__FUNCTION__, \
##__VA_ARGS__)
#else
#define RT_LOGI(format,...)
#define RT_LOGD(format,...)
#define RT_LOGW(format,...)
#define RT_LOGE(format,...)
#endif

#define GSXR_CHECK_ARG_NO_EQU(arg0,arg1,arg_string,arg_return) \
    if (arg0 != arg1){                    \
        RT_LOGE(#arg_string);                                      \
        return  arg_return;                                     \
    }
#define GSXR_CHECK_ARG_EQU(arg0,arg1,arg_string,arg_return) \
    if (arg0 == arg1){                    \
        RT_LOGE(#arg_string);                                      \
        return  arg_return;                                     \
    }
#define GSXR_CHECK_ARG_MORE(arg0,arg1,arg_string,arg_return) \
    if (arg0 > arg1){                    \
        RT_LOGE(#arg_string);                                      \
        return  arg_return;                                     \
    }
#define GSXR_CHECK_ARG_LESS(arg0,arg1,arg_string,arg_return) \
    if (arg0 < arg1){                    \
        RT_LOGE(#arg_string);                                      \
        return  arg_return;                                     \
    }
#define GSXR_CHECK_ARG_FALSE(arg0,arg_string,arg_return) \
    if (!arg0){                    \
        RT_LOGE(#arg_string);                                      \
        return  arg_return;                                     \
    }
#define GSXR_CHECK_ARG_NULL(arg0,arg_string,arg_return) \
    if (nullptr == arg0){                    \
        RT_LOGE(#arg_string);                                      \
        return  arg_return;                                     \
    }
#endif //GSXRRUNTIME_SIMPLE_LOG_H
